{ config, lib, pkgs, ... }:

let
  #inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

{
  imports = [
    # installées systématiquement
    ./environment.nix
    ./localisation.nix
    ./network.nix
    #./network-ipv6.nix
    ./sudo.nix
    ./service-haveged.nix
    ./service-monitoring-munin.nix
    ./service-monitoring-smokeping.nix
    ./service-ssh.nix
    ./udev.nix

    # commandées par config-generator
    ## option de configuration spécifique
    ./app-awesome.nix               # pour les profils awesome
    ./app-cao.nix                   # de conception assisté par ordinateur & modélisation
    ./app-cartographie.nix          # manipuler les données géographiques & cartes
    ./app-developpement.nix         # développer des programmes/scripts
    ./app-developpement-elm.nix     # développer en elm
    ./app-developpement-haskell.nix # développer en haskell
    ./app-developpement-java.nix    # développer en java
    ./app-developpement-jetbrains.nix # outils jetbrains
    ./app-developpement-rust.nix    # développer en rust
    ./app-docker.nix                # activer docker
    ./app-edition-musique.nix       # modifier les fichiers musicaux
    ./app-edition-photo.nix         # modifier les photos & assimilé
    ./app-edition-video.nix         # modifier les vidéos
    ./app-jeux.nix                  # jouer, tout simplement ;)
    ./app-virtualbox.nix            # activer virtualbox
    ./auto-upgrade.nix              # mise à jour automatique du système
    ./laptop.nix                    # appli & configuration adaptée pour un PC portable
    ./print.nix                     # configuration de base de cups
    ./service-elasticsearch.nix     # service de stockage et recher de données
    ./service-hydra-build.nix       # service de construction de paquet. -> la machine compile des paquets
    ./service-hydra-core.nix        # service pour l'instance d'hydra
    ./service-kibana.nix            # service de visualisation de données stockées dans elasticsearch
    ./service-laptop.nix            # services spécifiques aux pc portables
    ./service-locate.nix            # service locate
    ./swap.nix                      # définition de l'utilisation du swap

    ## if isDesktop
    ./app-adminsys.nix              # pour gérer le système dans son ensemble et les services
    ./app-bureautique.nix           # dédiée à la bureautique (traitement de texte, dessin, ...)
    ./app-client-internet.nix       # pour accéder & utiliser des ressources par le réseau
    ./app-multimedia.nix            # pour gérer le son, l'image et la vidéo
    ./app-network.nix               # de gestion, de diagnostique & surveillance réseau
    ./app-securite.nix              # relatives à la sécurité (chiffrement, gpg, mots de passe, ...)
    ./hardware-scanner.nix          # utilisation d'un scanner
    ./service-pulseaudio.nix        # activation du serveur audio
    ./service-x11.nix               # activation du serveur graphique X
  ];
}
